Driver HPLIP non-free Required in Trisquel

Projet:Trisquel
Version:7.0
Composant:Kernel/drivers
Catégorie:Rapporter un bogue
Priorité:normal
Attribué:Non assigné
Statut:active
Description

Many printers from the http://hplipopensource.com/hplip-web/supported_devices/combined.html list that require a non-free plug-in are in the trisquel database. For example one of them is the Hp Laserjet 1018 but there are many more.
Attached image capture of the trisquel database in which the printer is selected. Here information about the printer http://hplipopensource.com/hplip-web/models/laserjet/hp_laserjet_1018.html

Why is the driver for this printer on trisquel? If I buy this printer, should it work on trisquel?

Fichier attachéTaille
laserjet printers.png62.6 Ko
lun, 09/04/2017 - 18:26

Debian project has discussed about it in the past, but I've seen no solution yet.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=451502

There are several problems, as it seems hplip project also violates GPL installing printer binary in-theory-open-source in system, with no code attached.

The solution? a hplip frok with only free as in freedom drivers with code attached? sugestions?

cheers